# This is the Makefile for the /tagsets directory of Meta-HTML.
# It simply builds the binary versions of the libraries from the source.
#

MCC = mklib

LIBFILES=Makefile		form-to-email.lib	pagecount.lib \
	 README			general.lib		parse-date.lib \
	 characters.lib		locale.lib		plist.lib \
	 dirfuns.lib		make-identifier.lib	sendmail.lib \
	 dump-package.lib	menus.lib		session.lib \
	 english-numbers.lib	message.lib		strings.lib \
	 form-to-database.lib	numbers.lib		this.lib

.SUFFIXES: .lib .mhtml

.mhtml.lib:
	$(MCC) -o $@ $<

all: $(LIBFILES)

clean: FORCE
	rm -f $(TARGET)

distclean realclean: clean
	rm -rf $(LIBFILES)

FORCE:

